:host {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  font-size: 14px;
  color: #333;
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

@-moz-keyframes spin { 100% { -moz-transform: rotate(360deg); } }
@-webkit-keyframes spin { 100% { -webkit-transform: rotate(360deg); } }
@keyframes spin { 100% { -webkit-transform: rotate(360deg); transform:rotate(360deg); } }

a,
a:visited,
a:hover {
  color: #1976d2;
  text-decoration: none;
}

a:hover {
  color: #125699;
}

app-experience {
  width: 100%;
}

app-education {
  width: 100%;
}

app-certifications {
  width: 100%;
}

app-book-list{
  width: 100%;
}

app-social-carousel {
  padding: 4rem;
}

footer {
  margin-top: 8px;
  display: flex;
  align-items: center;
  line-height: 20px;

  a {
    display: flex;
    align-items: center;
  }
}

svg.material-icons {
  height: 24px;
  width: auto;

  &:not(:last-child) {
    margin-right: 8px;
  }
}

.collage {
  img {
    max-width: 100%;
    max-height: 100%;
  }
}

.content {
  display: flex;
  margin: 8px auto;
  padding: 0;
  flex-direction: column;
  align-items: center;
}

.column-container, .full-width {
  width: 100%;
}

.column {
  max-width: 1200px;
}

.card svg.material-icons path {
  fill: #888;
}

.card-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-top: 16px;
}

.card {
  border-radius: 4px;
  border: 1px solid #eee;
  background-color: #fafafa;
  height: 40px;
  width: 200px;
  margin: 0 8px 16px;
  padding: 16px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  transition: all 0.2s ease-in-out;
  line-height: 24px;

  &:not(:last-child) {
    margin-right: 0;
  }

  &.card-small {
    height: 16px;
    width: 168px;
  }

  &:not(.highlight-card) {
    cursor: pointer;
  }

  &:not(.highlight-card):hover {
    transform: translateY(-3px);
    box-shadow: 0 4px 17px rgba(black, 0.35);
  }

  &:not(.highlight-card):hover .material-icons path {
    fill: rgb(105, 103, 103);
  }

  &.highlight-card {
    background-color: #1976d2;
    color: white;
    font-weight: 600;
    border: none;
    width: auto;
    min-width: 30%;
    position: relative;
  }

  &.card.highlight-card span {
    margin-left: 60px;
  }
}

.toolbar {
  height: 60px;
  display: flex;
  align-items: center;
  color: white;
  font-weight: 600;

  a {
    background-color: rgba(10,10,10, 0.5);
    border-radius: 4px;
    padding: 1rem;
    color: white;
    text-decoration: none;

    &:hover {
      color: rgb(225, 225, 225);
      background-color: rgba(10,10,10, 0.7);
    }

    span {
      vertical-align: super;
    }
  }
}

.tools {
  max-width: 100%;
  margin-bottom: 1rem;
  text-align: center;

  h2 {
    color: white;
    background: transparent;
    border-bottom: white solid 2px;
    padding: 1rem;
    margin-bottom: 0;
  }

  img {
    max-width: 100%;
  }
}

/* Responsive Styles */
@media screen and (max-width: 767px) {

  .card-container > *:not(.circle-link) ,
  .terminal {
    width: 100%;
  }

  .card:not(.highlight-card) {
    height: 16px;
    margin: 8px 0;
  }

  .card.highlight-card span {
    margin-left: 72px;
  }
}

@media screen and (max-width: 960px) {
  .toolbar {
    a {
      width: 100%;
      text-align: center;
    }
  }

  app-certifications {
    margin: 0;
  }
}
